﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TestThemeManager
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			ApplicationThemeManager.GetInstance().EnsureResourcesForTheme("Office_Black");
			combo.ItemsSource = new List<string>() {"item1", "item2", "item3"};
		}

		private void RadButton_Click_1(object sender, RoutedEventArgs e)
		{
			(new RadWindow() { Width=400, Height=300, Header="Test Window"}).Show();
		}

		private void RadButton_Click_2(object sender, RoutedEventArgs e)
		{
			ApplicationThemeManager.GetInstance().EnsureResourcesForTheme("Office_Black");			
		}

		private void RadButton_Click_3(object sender, RoutedEventArgs e)
		{
			ApplicationThemeManager.GetInstance().EnsureResourcesForTheme("Metro");
		}
	}
}
